Skip to content

Create Chatbot

POST
/api/chatbots

Create a new chatbot for the organization

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Request Body

application/json
JSON
{
  
"data": {
  
  
"type": "chatbots",
  
  
"attributes": {
  
  
  
"name": "string",
  
  
  
"description": "string",
  
  
  
"enabledPlugins": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"settings": {
  
  
  
  
"fasterResponse": true
  
  
  
},
  
  
  
"widgetConfig": {
  
  
  
  
"additionalProperties": null
  
  
  
},
  
  
  
"allowedDomains": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"ipRateLimitMax": 0,
  
  
  
"ipRateLimitWindow": 0
  
  
}
  
}
}

Responses

Created chatbot

application/vnd.api+json
JSON
[
]

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation